Test::Int::Bool Namespace Reference

Tests for Boolean constraints More...

## Classes

class | BinXYZ
| Test for binary Boolean operation More...
class | BinXXY
| Test for binary Boolean operation with shared variables More...
class | BinXYX
| Test for binary Boolean operation with shared variables More...
class | BinXYY
| Test for binary Boolean operation with shared variables More...
class | BinXXX
| Test for binary Boolean operation with shared variables More...
class | BinConstXY
| Test for binary Boolean operation with constant More...
class | BinConstXX
| Test for binary Boolean operation with shared variables and constant More...
class | Nary
| Test for Nary Boolean operation More...
class | NaryShared
| Test for Nary Boolean operation More...
class | NaryConst
| Test for Nary Boolean operation with constant More...
class | ClauseXYZ
| Test for Clause Boolean operation More...
class | ClauseXXYYX
| Test for Clause Boolean operation More...
class | ClauseXXY
| Test for Clause Boolean operation More...
class | ClauseConst
| Test for Clause Boolean operation with constant More...
class | ITEInt
| Test for if-then-else-constraint More...
class | ITEBool
| Test for if-then-else-constraint More...
class | Create
| Help class to create and register tests. More...

## Functions

int | check (int x0, Gecode::BoolOpType op, int x1)

## Variables

Create | c
ITEInt | itebnd (Gecode::IPL_BND)
ITEInt | itedom (Gecode::IPL_DOM)
ITEBool | itebool

## Detailed Description

Tests for Boolean constraints

## Function Documentation

## check()

int Test::Int::Bool::check | ( | int | x0,
|  | Gecode::BoolOpType | op,
|  | int | x1 )

inline

Definition at line 44 of file bool.cpp.

## Variable Documentation

## c

Create Test::Int::Bool::c

Definition at line 535 of file bool.cpp.

## itebnd

ITEInt Test::Int::Bool::itebnd(Gecode::IPL_BND) | ( | Gecode::IPL_BND |  | ) |

## itedom

ITEInt Test::Int::Bool::itedom(Gecode::IPL_DOM) | ( | Gecode::IPL_DOM |  | ) |

## itebool

ITEBool Test::Int::Bool::itebool

Definition at line 538 of file bool.cpp.